variables:
    IMAGE_TAG: bledig/alpine-psqlclient:3

build:
    image: docker:stable
    services:
        - docker:stable-dind
    stage: build
    only:
        - master
    script:
        - echo $DOCKERHUB_TOKEN | docker login -u $DOCKERHUB_USER --password-stdin
        - docker build -t $IMAGE_TAG .
        - docker push $IMAGE_TAG
